// ----------------------------------------------------------------------------------
// Microsoft Developer & Platform Evangelism
// 
// Copyright (c) Microsoft Corporation. All rights reserved.
// 
// THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
// EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
// OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
// ----------------------------------------------------------------------------------
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
// ----------------------------------------------------------------------------------

namespace UserInterface.Gateways
{
    using System.Collections.Generic;
    using AdventureWorksLTModel;

    public interface IProductGateway
    {
        IList<Product> GetProducts(string productName, ProductCategory category, int pageSize, int pageNumber);
        IList<ProductCategory> GetCategories();
        void DeleteProduct(Product product);
        void UpdateProduct(Product product);
        void AddProduct(Product product);
        int GetProductsCount(string productName, ProductCategory category);
    }
}